Bug 1298632 - yum-builddep fails to recognize nosrc.rpm
yum-builddep fails to recognize nosrc.rpm
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: 1510938
  Show dependency treegraph
 
Reported: 2016-01-14 10:24 EST by Jonathan Underwood
Modified: 2017-11-08 08:09 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1510938 (view as bug list)
Environment:
Last Closed: 2016-12-20 12:53:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2016-01-14 10:24:03 EST
Description of problem:
I am trying to use mock to build a nosrc rpm as follows.

1) mock -r fedora-23-x86_64 init

2) mock -r fedora-23-x86_64 --copyin Mathematica_10.2.0_LINUX.sh /builddir/build/SOURCES/

3) mock -v -r fedora-23-x86_64 --no-clean --rebuild Mathematica-10.2.0-1.fc23.nosrc.rpm


where the spec file has

Source0:        Mathematica_%{version}_LINUX.sh
NoSource:       0


However, this bails at:

DEBUG: Executing command: ['/bin/umount', '-n', '-l', '/var/lib/mock/fedora-23-x86_64/root/proc'] with env {'HOSTNAME': 'mock', 'LANG': 'en_GB.UTF-8', 'TERM': 'vt100', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'SHELL': '/bin/sh'} and shell False
DEBUG: Child return code was: 0
ERROR: Command failed: 
 # /usr/bin/yum-builddep --installroot /var/lib/mock/fedora-23-x86_64/root/ --releasever 23 /var/lib/mock/fedora-23-x86_64/root//builddir/build/SRPMS/Mathematica-10.2.0-1.fc23.nosrc.rpm


even though:
$ ls -l /var/lib/mock/fedora-23-x86_64/root/builddir/build/SRPMS/Mathematica-10.2.0-1.fc23.nosrc.rpm 
-rw-rw-r--. 1 jgu mock 10101 Jan 14 15:16 /var/lib/mock/fedora-23-x86_64/root/builddir/build/SRPMS/Mathematica-10.2.0-1.fc23.nosrc.rpm


I'm not quite sure why it's breaking therefore.


Version-Release number of selected component (if applicable):
mock-1.2.14-1.fc23.noarch
Comment 1 Jonathan Underwood 2016-01-18 16:01:52 EST
Ooops, didn't paste all of the error mesage. It is:

DEBUG: Executing command: ['/bin/umount', '-n', '-l', '/var/lib/mock/fedora-23-x86_64/root/sys'] with env {'SHELL': '/bin/sh', 'TERM': 'vt100', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'LANG': 'en_GB.UTF-8'} and shell False
DEBUG: Child return code was: 0
DEBUG: child environment: None
DEBUG: Executing command: ['/bin/umount', '-n', '-l', '/var/lib/mock/fedora-23-x86_64/root/proc'] with env {'SHELL': '/bin/sh', 'TERM': 'vt100', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'LANG': 'en_GB.UTF-8'} and shell False
DEBUG: Child return code was: 0
ERROR: Command failed: 
 # /usr/bin/yum-builddep --installroot /var/lib/mock/fedora-23-x86_64/root/ --releasever 23 /var/lib/mock/fedora-23-x86_64/root//builddir/build/SRPMS/Mathematica-10.2.0-1.fc23.nosrc.rpm

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.


fedora/23/x86_64/metalink                                                                                                                     |  24 kB  00:00:00     
updates/23/x86_64/metalink                                                                                                                    |  24 kB  00:00:00     
No such package(s): /var/lib/mock/fedora-23-x86_64/root//builddir/build/SRPMS/Mathematica-10.2.0-1.fc23.nosrc.rpm
Comment 2 Miroslav Suchý 2016-06-09 11:13:05 EDT
This is coming from yum-builddep

sudo /usr/bin/yum-builddep --installroot /var/lib/mock/fedora-23-x86_64/root/ --releasever 23 /var/lib/mock/fedora-2386_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc23.nosrc.rpm
Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.


fedora/23/x86_64/metalink                                                                                                        |  24 kB  00:00:00     
updates/23/x86_64/metalink                                                                                                       |  20 kB  00:00:00     
No such package(s): /var/lib/mock/fedora-23-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc23.nosrc.rpm

$ ls -l /var/lib/mock/fedora-23-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc23.nosrc.rpm
-rw-rw-r--. 1 msuchy mock 7323  9. čen 16.05 /var/lib/mock/fedora-23-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc23.nosrc.rpm

For testing you can download the nosrc.rpm from:
http://miroslav.suchy.cz/copr/battle-chess-1994-1.fc20.nosrc.rpm

This used to work, so I'm marking this as regression.

$ rpm -qf /usr/bin/yum-builddep
yum-utils-1.1.31-509.fc24.noarch
Comment 3 Fedora End Of Life 2016-11-24 09:56:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Vit Ry 2016-12-09 03:56:07 EST
I create Pull Request to fix it in RHEL/CentOS though :)

https://github.com/rpm-software-management/yum-utils/pull/15
Comment 5 Fedora End Of Life 2016-12-20 12:53:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.